<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/useractionscomponent/actions/continuous/actionbuildpart.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d79/a08520.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">actionbuildpart.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../df/d79/a08520_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d50/a03473.html">ActionBuildPartCB</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:add59dc9e9e85a3185ba2cede7cf9449f"><td class="memItemLeft" align="right" valign="top">modded class <a class="el" href="../../d2/d50/a03473.html">ActionBuildPartCB</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d79/a08520.html#add59dc9e9e85a3185ba2cede7cf9449f">ActionCondition</a> (<a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="el" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="el" href="../../d1/df9/a03665.html">ItemBase</a> item)</td></tr>
<tr class="separator:add59dc9e9e85a3185ba2cede7cf9449f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a403fc8926bba6d2854d5f7ab2c6ed26a"><td class="memItemLeft" align="right" valign="top">override float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d79/a08520.html#a403fc8926bba6d2854d5f7ab2c6ed26a">SetCallbackDuration</a> (<a class="el" href="../../d1/df9/a03665.html">ItemBase</a> item)</td></tr>
<tr class="separator:a403fc8926bba6d2854d5f7ab2c6ed26a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00cda41fe9dd093059da5c4b83b591bc"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d79/a08520.html#a00cda41fe9dd093059da5c4b83b591bc">OnFinishProgressServer</a> (ActionData action_data)</td></tr>
<tr class="separator:a00cda41fe9dd093059da5c4b83b591bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="add59dc9e9e85a3185ba2cede7cf9449f" name="add59dc9e9e85a3185ba2cede7cf9449f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add59dc9e9e85a3185ba2cede7cf9449f">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">modded class <a class="el" href="../../d2/d50/a03473.html">ActionBuildPartCB</a> ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d6d/a04713.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/df9/a03665.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >It's not a territory flag, but his he in a territory</p>
<p >It's his territory ?</p>

<p class="definition">Definition at line <a class="el" href="../../df/d79/a08520_source.html#l00014">14</a> of file <a class="el" href="../../df/d79/a08520_source.html">actionbuildpart.c</a>.</p>

</div>
</div>
<a id="a00cda41fe9dd093059da5c4b83b591bc" name="a00cda41fe9dd093059da5c4b83b591bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00cda41fe9dd093059da5c4b83b591bc">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d79/a08520_source.html#l00042">42</a> of file <a class="el" href="../../df/d79/a08520_source.html">actionbuildpart.c</a>.</p>

</div>
</div>
<a id="a403fc8926bba6d2854d5f7ab2c6ed26a" name="a403fc8926bba6d2854d5f7ab2c6ed26a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a403fc8926bba6d2854d5f7ab2c6ed26a">&#9670;&#160;</a></span>SetCallbackDuration()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override float ActionCondition::SetCallbackDuration </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d1/df9/a03665.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d79/a08520_source.html#l00028">28</a> of file <a class="el" href="../../df/d79/a08520_source.html">actionbuildpart.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_7c54c617c523e91968b06f6c4d40561c.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_c81cc1ad0bcb4f6919dc1b9d5f9d5d05.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_60d28b9c29e7916a419493eda4bdadab.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_dea99779acbc8a5a409ad43fc49953ad.html">continuous</a></li><li class="navelem"><a class="el" href="../../df/d79/a08520.html">actionbuildpart.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
